Bug 1687417 - python-multilib: Remove (sub)packages from Fedora 31+: python2-multilib
Summary: python-multilib: Remove (sub)packages from Fedora 31+: python2-multilib
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-multilib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-03-11 13:01 UTC by Miro Hrončok
Modified: 2019-06-11 15:56 UTC (History)
9 users (show)

Fixed In Version: python-multilib-1.2-10.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 15:56:27 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-03-11 13:01:12 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-multilib were marked for removal:

 * python2-multilib

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 31).

You may do it for Fedora 30 as well before the Final Freeze, but please check if there are no dependent packages.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Lubomír Sedlář 2019-03-11 15:14:06 UTC
Rebuilt in Rawhide without python2-multilib subpackage.

Comment 2 Miro Hrončok 2019-05-30 00:20:51 UTC
This was reverted for bz1692588, but that reason no longer applies.

Comment 3 Miro Hrončok 2019-05-30 00:53:25 UTC
Not to play revert wars, CCing Kevin here and will also comment there.

Comment 4 Kevin Fenzi 2019-05-30 17:03:44 UTC
go ahead and retire. I build a (almost all python3) koji yesterday...


Note You need to log in before you can comment on or make changes to this bug.